Last Comment Bug 711809 - css 3d transforms rotateY rendering incorrect
: css 3d transforms rotateY rendering incorrect
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 11 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 707563
  Show dependency treegraph
 
Reported: 2011-12-18 00:04 PST by henryfhchan
Modified: 2012-01-09 12:03 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Fx Nightly vs Chrome (137.88 KB, image/png)
2011-12-18 00:05 PST, henryfhchan
no flags Details
sample.html (614 bytes, text/html)
2011-12-18 03:28 PST, Alice0775 White
no flags Details

Description henryfhchan 2011-12-18 00:04:42 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; rv:11.0a1) Gecko/20111216 Firefox/11.0a1
Build ID: 20111216031140

Steps to reproduce:

Go to http://ie.microsoft.com/testdrive/Graphics/hands-on-css3/hands-on_3d-transforms.htm and play with rotateY.


Actual results:

The box is split into two triangles and the text flows as if the text belonged to the two separate triangles.


Expected results:

The text flows in the horizontal (skewed) direction of the box.
Comment 1 henryfhchan 2011-12-18 00:05:43 PST
Created attachment 582645 [details]
Fx Nightly vs Chrome
Comment 2 Alice0775 White 2011-12-18 03:07:13 PST
Regression window(m-c)
Works:
http://hg.mozilla.org/mozilla-central/rev/63bff373cb94
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111209 Firefox/11.0a1 ID:20111209033419
Fails:
http://hg.mozilla.org/mozilla-central/rev/f5578fdc50ef
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111211 Firefox/11.0a1 ID:20111211031118
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=63bff373cb94&tochange=f5578fdc50ef


Regression window(m-i)
Works:
http://hg.mozilla.org/integration/mozilla-inbound/rev/6bafbaa9ac33
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111208 Firefox/11.0a1 ID:20111208175020
Fails:
http://hg.mozilla.org/integration/mozilla-inbound/rev/a4a742eac3ab
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111208 Firefox/11.0a1 ID:20111208193820
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=6bafbaa9ac33&tochange=a4a742eac3ab
Suspected:
2f9ce0282804	Matt Woodrow — Bug 707563 - Convert vertex vector back into normal coordinate space before applying offset. r=Bas
Comment 3 Alice0775 White 2011-12-18 03:28:42 PST
Created attachment 582655 [details]
sample.html
Comment 4 Marek Stępień [:marcoos, inactive] 2011-12-18 03:37:42 PST
This is not limited to Windows, happens on Mac, too (as reported by me in bug 707563 comment 9).
Comment 5 Alice0775 White 2011-12-21 13:48:30 PST
This was fixed by https://bugzilla.mozilla.org/show_bug.cgi?id=707563#c11 .

http://hg.mozilla.org/mozilla-central/rev/2afd7ae68e8b
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111220 Firefox/11.0a1 ID:20111220031159
and
http://hg.mozilla.org/mozilla-central/rev/cd921d073b22
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20111221 Firefox/12.0a1 ID:20111221031226

Note You need to log in before you can comment on or make changes to this bug.